#-----------------------------------------------------------------------------

require 'sketchup.rb'

#-----------------------------------------------------------------------------

module TT_PickTest
	
	unless file_loaded?('tt_picktest.rb')
	# Menus
	menu = UI.menu('Plugins')
	menu.add_item('Pick Test')	{ Sketchup.active_model.select_tool( PickTest.new ) }
	end
	
	class PickTest

		def onLButtonUp(flags, x, y, view)
			ph = view.pick_helper(x, y)
			puts "view.pick_helper(x, y): #{ph.best_picked}"
			
			ph.do_pick(x, y)
			puts "ph.do_pick(x, y): #{ph.best_picked}"
		end
		
	end # class

end # module

#-----------------------------------------------------------------------------
file_loaded('tt_picktest.rb')
#-----------------------------------------------------------------------------